$string Casts a variable to a string
Usage
<integer> $string(<data:variant>)
Description
Forces <data> to be a string data type with the following semantics: If <data> is a string then <data> itself is returned. If <data> is an integer then its decimal representation is returned. If <data> is a real then its decimal floating-point representation is returned. If <data> is a boolean then the string 1 is returned for a true value and the string 0 for a false value. If <data> is nothing (unset) then an empty string is returned If <data> is an array then a string with all the items converted to strings and separated by commas is returned If <data> is a hash then a string with all the values converted to strings and separated by commas is returned If <data> is a hobject then the string "object" is returned Note that since KVIrc does most of the casting work automatically you shouldn't need to use this function.
See also
$real $integer

Index, Functions